<script setup lang="ts">
  import { propsKey } from './model';

  const props = inject(propsKey);
</script>
<template>
  <div class="max-w-xs flex-col overflow-hidden whitespace-nowrap">
    <p class="text-(base truncate) font-bold">{{ props!.meta!.name }}</p>
    <p class="text-(xs information-subdued truncate)">{{ props!.meta!.desc }}</p>
  </div>
</template>
